# Organization Directories Organization Directories ## Gets all of the organization directories in the system. - [GET /organizationDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/listorganizationdirectories.md): This method will scan all organization directories and and return them to the caller. ## Creates a new organization directory record that does not already exist. - [POST /organizationDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/createorganizationdirectory.md): This method will auto-generate an ID and create a new organization directory. If an ID is specified for the organization directory, an error will be thrown. ## Execute Batch Operations - [POST /organizationDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets an entry in the directory - [GET /organizationDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getdirectoryentry.md) ## Searches the directory - [POST /organizationDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/searchpublicdirectory.md) ## Sends a message to an entry in the directory - [POST /organizationDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/senddirectorymessage.md) ## Returns a organization directory from the system by its ID. - [GET /organizationDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getpublicdirectory.md): This method will look up a organization directory by the specified ID and return it back. ## Searches the directory - [POST /organizationDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/searchdirectory.md) ## Returns a organization directory from the system by its ID. - [DELETE /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/deleteorganizationdirectory.md): This method will delete a organization directory with the specified ID. ## Returns a organization directory from the system by its ID. - [GET /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getorganizationdirectory.md): This method will look up a organization directory by the specified ID and return it back. ## Partially updates a organization directory with the specified ID. - [PATCH /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/patchorganizationdirectory.md): This method will patch an existing organization directory with the specified ID, using the HTTP PATCH specification. ## Updates a organization directory with the specified ID. - [PUT /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/updateorganizationdirectory.md): This method will update an existing organization directory with the specified ID.